@font-face {
  font-family: "Geist";
  src: url("../fonts/Geist-VariableFont_wght.woff2") format("woff2");
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

:root {
  --main-font: "Geist", Roboto, sans-serif;
  --garfada-amarelo: #fcb93c;
  --garfada-amarelo-light: #f7e183;
  --garfada-verde: #11a189;
  --garfada-verde-light: #6ccdc1;
  --garfada-rosa: #f95f89;
  --garfada-rosa-light: #f3b7cb;
  --garfada-azul: #4c63ae;
  --garfada-azul-light: #96ade3;
  --garfada-castanho: #9d5535;
  --garfada-castanho-light: #c98168;
  --garfada-cinza-leve: #919191;
  --border-radius: 4px;
  --text-sm: 15px;
  --text-xs: 13px;
}

/* Defaults and resets
*/

html {
  box-sizing: border-box;
  text-decoration-skip-ink: auto;
}

*,
*:before,
*:after {
  position: relative;
  margin: 0;
  padding: 0;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  -moz-font-smoothing: antialiased;
  font-smoothing: antialiased;
  font-smooth: never;
  -moz-font-smooth: never;
  widows: 1;
  orphans: 1;
}

em {
  font-style: italic;
}
button {
  border: none;
  outline: none;
}
a {
  text-decoration: none;
  color: currentColor;
}
ul {
  list-style-type: none;
  list-style-position: inside;
}
*:focus {
  outline: none;
}
sup {
  line-height: 0;
}
code {
  padding: 2px 4px;
  vertical-align: text-bottom;
}
pre {
  padding: 1em;
}

img {
  display: inline-block;
  width: 100%;
  heigth: auto;
}

.btn,
button {
  font-size: 100%;
  line-height: 1.15;
  font-weight: 600;
  display: inline-block;
  background-color: var(--garfada-amarelo);
  padding: 10px 16px;
  border-radius: var(--border-radius);
  cursor: pointer;

  &.btn-amarelo {
    background-color: var(--garfada-amarelo);
  }
  &.btn-verde {
    background-color: var(--garfada-verde);
  }
  &.btn-rosa {
    background-color: var(--garfada-rosa);
  }
  &.btn-azul {
    background-color: var(--garfada-azul);
  }
  &.btn-castanho {
    background-color: var(--garfada-castanho);
  }
}

.btn-outline {
  border: 2px solid var(--garfada-amarelo);
  background-color: #fff;

  &.btn-outline-amarelo {
    border-color: var(--garfada-amarelo);
  }
  &.btn-outline-verde {
    border-color: var(--garfada-verde);
  }
  &.btn-outline-rosa {
    border-color: var(--garfada-rosa);
  }
  &.btn-outline-azul {
    border-color: var(--garfada-azul);
  }
  &.btn-outline-castanho {
    border-color: var(--garfada-castanho);
  }
}
input,
input[type="email"],
input[type="text"] {
  font-size: 100%;
  line-height: 1.15;
  display: inline-block;
  padding: 10px 16px;
  border-radius: var(--border-radius);
  box-shadow: 0;
}

input::placeholder {
  color: var(--garfada-cinza-leve);
}

/* Helper classes
*/

.hidden {
  display: none;
  visibility: hidden;
}

.text-small {
  font-size: 15px;
}

.text-center {
  text-align: center;
}

button.logout {
  display: inline-block;
  color: currentColor;
  background: none!important;
  border: none;
  padding: 0!important;
  text-decoration: underline;
  cursor: pointer;
}

/* Typography
*/

body {
  font-family: var(--main-font);
}

@media screen and (max-width: 800px) {
  body {
    font-size: 15px;
    line-height: 1.2;
  }
}
@media screen and (min-width: 800px) {
  body {
    font-size: 18px;
    line-height: 1.25;
    font-weight: 300;
  }
}
@media (min-width: 1442px) {
  body {
    font-size: 19px;
    line-height: 1.35;
  }
}

a:not(.btn) {
  text-decoration: underline;
  text-decoration-thickness: 2px;

  &.amarelo {
    text-decoration-color: var(--garfada-amarelo);
  }
  &.verde {
    text-decoration-color: var(--garfada-verde);
  }
  &.rosa {
    text-decoration-color: var(--garfada-rosa);
  }
  &.azul {
    text-decoration-color: var(--garfada-azul);
  }
}

a:not(.btn)  {

  &.amarelo:hover,
  &.amarelo:focus {
    color: var(--garfada-amarelo);
  }
  &.verde:hover,
  &.verde:focus {
    color: var(--garfada-verde);
  }
  &.rosa:hover,
  &.rosa:focus {
    color: var(--garfada-rosa);
  }
  &.azul:hover,
  &.azul:focus {
    color: var(--garfada-azul);
  }
}


p {
  margin: 0 0 20px;
  &:last-child {
    margin-bottom: 0;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 16px;
}

.topbar {
  ul {
    font-size: 14px;
    font-weight: 500;
  }
}

.topheader {
  hgroup {
    display: flex;
    gap: 48px;
    align-items: center;
  }
  h1 {
    font-size: 42px;
    line-height: 1.2;
    font-weight: 600;
    img {
      max-height: 180px;
      width: auto;
    }
  }
  h2 {
    font-size: 18px;
    font-weight: 400;
    max-width: 300px;
    border-left: 2px solid var(--garfada-amarelo);
    padding-left: 48px;
  }
}

@media screen and (max-width: 540px) {
  .topheader {
    hgroup {
      display: block;
    }
    h2 {
      padding-left: 10px;
    }
  }
}

/* Colors
*/

html {
  /*
  background: linear-gradient(
    0deg,
    var(--garfada-amarelo-light) 0%,
    var(--garfada-rosa-light) 100%
  );*/
}

.signup-form {
  background-color: #fff;
}

main {
  /*background-color: #fff;*/
}

/* Layout
*/

.container {
  max-width: 800px;
  margin: 0 auto;
  padding: 0 20px;
}

main {
  width: 100%;
  margin: 20px auto;

  .container {
    max-width: 800px;
    margin-top: 20px;
    padding: 20px;
  }
}

@media (min-width: 1442px) {
  main .container {
  }
}

.topbar {
  width: 100%;
  margin: 0;
  padding: 0 20px;

  ul {
    display: flex;
    gap: 10px;
    justify-content: start;
    max-width: 940px;
    margin: 12px auto;

    a {
      display: inline-block;
      padding: 8px 16px;
    }

    .signup {
      margin-left: auto;
    }
  }
}

@media screen and (max-width: 540px) {
  .topbar {
    ul a {
      padding: 8px;
    }
  }
}

.hero {
  /*background-color: transparent;
  border-bottom: 8px solid transparent;
  border-image: linear-gradient(
    90deg,
    var(--garfada-amarelo) 0%,
    var(--garfada-rosa) 25%,
    var(--garfada-verde) 50%,
    var(--garfada-azul) 75%,
    var(--garfada-castanha) 100%
  );
  border-image-slice: 1;
  width: 100%;*/
}

.topheader {
  padding: 20px 0;

  h2 span {
    padding: 2px 0;
    display: inline-block;
  }
}

.signup-form {
  border: 2px solid var(--garfada-verde);
  border-radius: var(--border-radius);
  margin-bottom: 40px;
  .form-container {
    display: flex;
    gap: 5px;
    align-items: center;
    padding: 10px 10px 10px 14px;

    #contact_email {
      border: none;
      outline: none;
      width: 100%;
      padding-left: 0;
    }

    button {
      border: none;
      outline: none;
      padding-left: 28px;
      padding-right: 28px;
    }
  }
}

@media screen and (max-width: 540px) {
  .signup-form .form-container {
    padding: 8px 8px 8px 10px;

    #contact_email {
      padding-right: 8px;
    }
    button {
      padding-left: 12px;
      padding-right: 12px;
    }
  }
}

.footer {
  margin: 40px 0;
}


/* arquivo lista
*/

#archive-list a {
  display: flex;
  gap: 12px 8px;
  margin: 12px 0;
  border: 1px solid #eee;
  border-radius: var(--border-radius);
  text-decoration: none;
  img {
    filter: grayscale(100%);
    transition: filter 300ms linear;
  }

}

#archive-list a:hover {
  border-color: var(--garfada-verde);

  img {
    filter: grayscale(0%);
  }
}

#archive-list .image {
  flex: 1 1 0;
  max-width: 200px;
  border-radius: var(--border-radius);
  overflow: hidden;
  background: var(--garfada-amarelo);
  align-self: stretch;
}

#archive-list img {
  width: 100%;
  height: 100%;
  max-height: inherit;
  object-fit: cover;
}

#archive-list .content {
  flex: 1 1 0;
  padding: 12px;
  align-self: center;
}


#archive-list article h3,
#archive-list article p {
  margin-bottom: 4px;
}

.metadata {
  color: var(--garfada-rosa);
  font-size: var(--text-xs);
  font-weight: 400;
  margin-top: 0;
}


#archive-list .metadata {
}

.date {
  display: inline-block;
}

.date::before {
  color: #000;
  content: "·";
  display: inline-block;
  margin-left: 4px;
  margin-right: 4px;
}

/* Arquivo - página individual
*/

.archive-nav {
  font-size: var(--text-sm);
  display: flex;
  gap: 10px;
  justify-content: space-between;
}

.next-previous {
  display: flex;
  gap: 10px;
}
